
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>Installation &#8212; IMAPClient 2.3.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/sphinxdoc.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="IMAPClient Concepts" href="concepts.html" />
    <link rel="prev" title="IMAPClient" href="index.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a></li>
        <li class="right" >
          <a href="concepts.html" title="IMAPClient Concepts"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="IMAPClient"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">IMAPClient 2.3.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installation</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="installation">
<span id="id1"></span><h1>Installation<a class="headerlink" href="#installation" title="Permalink to this heading">¶</a></h1>
<section id="pip">
<h2>Pip<a class="headerlink" href="#pip" title="Permalink to this heading">¶</a></h2>
<p>IMAPClient can easily be installed with pip:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ pip install imapclient
</pre></div>
</div>
</section>
<section id="from-source">
<h2>From Source<a class="headerlink" href="#from-source" title="Permalink to this heading">¶</a></h2>
<p>IMAPClient is developed on GitHub, you can find the code at <a class="reference external" href="https://github.com/mjs/imapclient">mjs/imapclient</a>.</p>
<p>You can clone the public repository:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ git clone https://github.com/mjs/imapclient.git
</pre></div>
</div>
<p>Once you have the sources, simply install IMAPClient with:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ cd imapclient
$ pip install -e .
</pre></div>
</div>
</section>
<section id="other-versions">
<h2>Other versions<a class="headerlink" href="#other-versions" title="Permalink to this heading">¶</a></h2>
<p>The source distributions of all IMAPClient versions are available at
<a class="reference external" href="http://menno.io/projects/IMAPClient/">http://menno.io/projects/IMAPClient/</a>. Alternatively you can also use
the PyPI page at <a class="reference external" href="https://pypi.python.org/pypi/IMAPClient/">https://pypi.python.org/pypi/IMAPClient/</a>.</p>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div>
    <h3><a href="index.html">Table of Contents</a></h3>
    <ul>
<li><a class="reference internal" href="#">Installation</a><ul>
<li><a class="reference internal" href="#pip">Pip</a></li>
<li><a class="reference internal" href="#from-source">From Source</a></li>
<li><a class="reference internal" href="#other-versions">Other versions</a></li>
</ul>
</li>
</ul>

  </div>
  <div>
    <h4>Previous topic</h4>
    <p class="topless"><a href="index.html"
                          title="previous chapter">IMAPClient</a></p>
  </div>
  <div>
    <h4>Next topic</h4>
    <p class="topless"><a href="concepts.html"
                          title="next chapter">IMAPClient Concepts</a></p>
  </div>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/installation.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a></li>
        <li class="right" >
          <a href="concepts.html" title="IMAPClient Concepts"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="IMAPClient"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">IMAPClient 2.3.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installation</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2014, Menno Smits.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.0.2.
    </div>
  </body>
</html>